PYSIDE6-QMLLS(1)

NAME
pyside6-qmlls - qmlls

SYNOPSIS
qmlls [options]

DESCRIPTION
QML languageserver

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-w, --wait <waitSeconds>
    Waits the given number of seconds before startup

-v, --verbose
    Outputs extra information on the operations being performed

-l, --log-file <logFile>
    Writes logging to the given file

-b, --build-dir <buildDir>
    Adds a build dir to look up for qml information

-I <importPaths>
    Look for QML modules in the specified directory

-E  Use the QML_IMPORT_PATH environment variable to look for QML Modules

--write-defaults
    Writes defaults settings to .qmlls.ini and exits (Warning: This will overwrite any existing settings and comments!)

--ignore-settings
    Ignores all settings files and only takes command line options into consideration

--no-cmake-calls
    Disables automatic CMake rebuilds and C++ file watching.

-d, -p, --doc-dir <path>
    Documentation path to use for the documentation hints feature

--bare
    Do not include default import directories. This may be used to run qmlls on a Boot2Qt project.

--version
    Displays version information.